Apache Tomcat 7.0.42

## org.apache.catalina.util
Class ServerInfo

    java.lang.Object
      org.apache.catalina.util.ServerInfo

    public class ServerInfo

extends Object

Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.

Version:
  $Id: ServerInfo.java 1002556 2010-09-29 10:07:10Z markt $
Author:
  Craig R. McClanahan

Constructor Summary
`ServerInfo()`

Method Summary
`static String` `getServerBuilt()` Return the server built time for this version of Tomcat.
`static String` `getServerInfo()` Return the server identification for this version of Tomcat.
`static String` `getServerNumber()` Return the server's version number.
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInfo

    public ServerInfo()

Method Detail

### getServerInfo

    public static String getServerInfo()

  Return the server identification for this version of Tomcat.

### getServerBuilt

    public static String getServerBuilt()

  Return the server built time for this version of Tomcat.

### getServerNumber

    public static String getServerNumber()

  Return the server's version number.

### main

    public static void main(String[] args)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.